local playerClass = select(2,UnitClass("player"))
local playerHealer, playerCaster, playerMelee, playerHybrid
if playerClass == "PRIEST" or playerClass == "SHAMAN" or playerClass == "PALADIN" or playerClass == "DRUID" then playerHealer = true end
if playerClass == "MAGE" or playerClass == "PRIEST" or playerClass == "WARLOCK" then playerCaster = true end
if playerClass == "ROGUE" or playerClass == "WARRIOR" or playerClass == "HUNTER" then playerMelee = true end
if playerClass == "DRUID" or playerClass == "PALADIN" or playerClass == "SHAMAN" then playerHybrid = true end

local BS
if GetLocale() ~= "enUS" then 
	BS = AceLibrary("Babble-Spell-2.2")
else
	BS = {}
	setmetatable(BS,{ __index = function(t,k) return k end })
end

local function DrD_LoadAuras()
	
	DrDamage.PlayerAura = {
		--Core buffs
		["Bloodlust"] = { Value = 1.3, ModType = "CastTime" },
		["Heroism"] = { Value = 1.3, ModType = "CastTime" },
		["Inspiring Presence"] = { Value = 1, ModType = "Hit", },
	}
	DrDamage.Debuffs = {
		--Core debuffs
	}
	
	--local copies of buff/debuff tables
	local PlayerAura = DrDamage.PlayerAura
	local Debuffs = DrDamage.Debuffs
	
	--Player buffs/debuffs
	if playerCaster or playerHybrid then
		PlayerAura["Totem of Wrath"] = { Value = 3, ModType = "Hit", Caster = true }
		PlayerAura["Vibrant Blood"] = { Value = 0.1, Caster = true }
		PlayerAura["Power Infusion"] = { School = "All", Value = 0.2, Caster = true }
		PlayerAura["Bloodgem Infusion"] = { School = "All", Value = 0.05, Caster = true }
		if playerClass == "MAGE" then
			PlayerAura["Icy Veins"] = { Value = 1.2, ModType = "CastTime" }
		end
	end
	if playerHealer then
		PlayerAura["A'dal's Song of Battle"] = { School = "Healing", Value = 0.05 }
		PlayerAura["Vile Slime"] = { School = "Healing", Value = -0.5 }
		PlayerAura["Debilitating Spray"] = { School = "Healing", Value = -0.5 }
		PlayerAura["Vile Sludge"] = { School = "Healing", Value = -0.5 }	
		PlayerAura["Nether Portal - Serenity"] = { School = "Healing", Value = 0.05, Apps = true }
		DrDamage.HealingBuffs = {
			["Amplify Magic"] = { ModType = "RankTable", Ranks = 6, Value = { 30, 60, 100, 150, 180, 240 }, },
			["Quick Recovery"] = { Ranks = 2, Value = 0.1 },
			["Fel Armor"] = { Value = 0.2, },
		}
	end
	
	--Target debuffs
	if playerCaster or playerHybrid then
		--School
		if playerClass == "WARLOCK" or playerClass == "PRIEST" or playerClass == "DRUID" or playerClass == "MAGE" then
			Debuffs["Curse of Shadow"] = { School = { "Shadow", "Arcane" }, Value = 0.1, Affliction = true, }
		end
		if playerClass == "WARLOCK" or playerClass == "PRIEST" then
			Debuffs["Shadow Vulnerability"] = { School = "Shadow", Texture = "Spell_Shadow_ShadowBolt", Value = 0.2, Apps2 = true, Value2 = 0.02, ModType = "Texture", }
		end
		if playerClass == "WARLOCK" or playerClass == "SHAMAN" or playerClass == "MAGE" then
			Debuffs["Fire Vulnerability"] = { School = "Fire", Apps = true, Value = 0.03, }
			Debuffs["Curse of the Elements"] = { School = { "Fire", "Frost" }, Value = 0.1, Affliction = true, }
		end
		if playerClass == "SHAMAN" or playerClass == "MAGE" then
			Debuffs["Winter's Chill"] = { School = "Frost", Apps = true, Value = 2, ModType = "Crit", }
		end
		--General
		Debuffs["Spell Vulnerability"] = { Value = 0.15, Caster = true }
		Debuffs["Misery"] = { Value = 0.01, Ranks = 5, Caster = true }
		Debuffs["Magic Disruption"] = { Value = 0.05, Apps = true, Caster = true }
	end
	if playerHealer then
		Debuffs["Wound Poison"] = { School = "Healing", Apps = 5, Value = -0.1, }
		Debuffs["Blood Fury"] = { School = "Healing", Value = -0.5, }
		Debuffs["Mortal Strike"] = { School = "Healing", Value = -0.5, }
		Debuffs["Hex of Weakness"] = { School = "Healing", Value = -0.2, }
		Debuffs["Necrotic Poison"] = { School = "Healing", Value = -0.9, }
		Debuffs["Veil of Shadow"] = { School = "Healing", Value = -0.75, }
		Debuffs["Nether Portal - Dominance"] = { School = "Healing", Value = -0.01, Apps = true }
	end
	if playerMelee or playerHybrid then
		Debuffs["Shadowform"] = { School = { "Ranged", "Physical" }, Value = -0.1 }
		Debuffs["Armor Disruption"] = { School = {"Ranged", "Physical" }, Value = 0.05, Apps = true }
		Debuffs["Hemorrhage"] = { School = { "Ranged", "Physical" }, Value = { 13, 21, 29, 42 }, Ranks = 4, ModType = "DmgBonus" }
		Debuffs["Stormstrike"] = { School = "Nature", Value = 0.2, Class = { "DRUID", "SHAMAN", "ROGUE", "HUNTER" }, }
	end
end

DrD_LoadAuras()
DrD_LoadAuras = nil